#!/bin/sh
# usage: ./startConsole.sh
# This shell will read XQuery from the file and execute it

if test $# -eq 0
then
	echo "Missing Arguments. ( "$0 --help" for help)"
	exit 127
else if test "$1" = "--help"
     then
        echo "Usage:"
        echo "  1. $0 --help"
        echo "     Showing this help massage and exit."
        echo "  2. $0 one XQueryFileName [decor] [rewrite] [schema] exec [debug]"
        echo "     one: provided XQuery is user XQuery only, no view XQuery"
        echo "     XQueryFileName: XQuery to be executed"
        echo "     decor: adding query decoralation step after XAT treee generation step"
        echo "     rewrite: adding query rewriting optimization step"
        echo "     schema: adding schema cleanup step"
        echo "     exec: execute selected XQuery"
        echo "     debug: output all infomation verbosely"
        echo ""
        echo "Please report bugs to rainbow@wpi.edu"
        exit 127
     fi
fi

java -Xmx1024m -classpath .:RainbowSupport.jar edu.wpi.cs.dsrg.xmldb.xat.testfiles.TestSXE $*
